#include "ball.h"
#include "framework.h"

void CreateBall(Ball* b, int x, int y)
{
	b->x = x; b->y = y;
	b->r = 30;
	b->c = RGB(255, 0, 0);
	b->u = 8;
	b->v = 3;
}

void MoveBall(Ball* b, int x, int y)
{
	b->x = x;  b->y = y;
}

void PaintBall(Ball* b, HDC hdc)
{
	HBRUSH brush, old;

	brush = CreateSolidBrush(b->c);
	old = (HBRUSH)SelectObject(hdc, brush);

	Ellipse(hdc, b->x - b->r, b->y - b->r,
		         b->x + b->r, b->y + b->r);

	SelectObject(hdc, old);
	DeleteObject(brush);
}